# Interface ICSSPropertyTextHandler

All Superinterfaces:
  `ICSSPropertyHandler`

All Known Implementing Classes:
  `AbstractCSSPropertyTextHandler, CSSPropertyTextSWTHandler`

public interface ICSSPropertyTextHandler extends ICSSPropertyHandler
CSS2 Text Property Handler.

See Also:
  - w3schools

## Method Summary

Modifier and Type
Method
Description
`void`
`applyCSSPropertyColor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the color of a text.
`void`
`applyCSSPropertyTextTransform(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Controls the letters in an element.
`String`
`retrieveCSSPropertyColor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyTextTransform(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from interface ICSSPropertyHandler

`applyCSSProperty, onAllCSSPropertiesApplied, onAllCSSPropertiesApplied, retrieveCSSProperty`

## Method Details

### applyCSSPropertyColor

void applyCSSPropertyColor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the color of a text.

Throws:
  `Exception`

### applyCSSPropertyTextTransform

void applyCSSPropertyTextTransform(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Controls the letters in an element. Available values are : none capitalize uppercase lowercase

Throws:
  `Exception`

### retrieveCSSPropertyColor

String retrieveCSSPropertyColor(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyTextTransform

String retrieveCSSPropertyTextTransform(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`